Bug 834545 - Typo in /usr/lib/python2.4/site-packages/setroubleshoot/server.py
Typo in /usr/lib/python2.4/site-packages/setroubleshoot/server.py
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: setroubleshoot (Show other bugs)
5.8
All Linux
medium Severity low
: rc
: ---
Assigned To: Daniel Walsh
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-22 06:57 EDT by szmytson
Modified: 2016-06-15 05:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-02 09:09:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pszmytka: needinfo-


Attachments (Terms of Use)
diff for server.py (619 bytes, application/octet-stream)
2012-06-22 06:57 EDT, szmytson
no flags Details

  None (edit)
Description szmytson 2012-06-22 06:57:26 EDT
Created attachment 593697 [details]
diff for server.py

Description of problem:
I am seeing the following error popping up in my messages file.
There is a typo in line 251 of /usr/lib/python2.4/site-packages/setroubleshoot/server.py
See the diff in additional info section.

I can see the typo has been fixed in RHEL6(>=setroubleshoot-server-3). Please correct this in RHEL5 as well.

Jun 21 05:32:09 XYZ setroubleshoot: [rpc.ERROR] exception TypeError: not all arguments converted during string formatting Traceback (most recent call last): File "/usr/lib/python2.4/site-packages/setroubleshoot/rpc.py", line 940, in handle_client_io self.receiver.feed(data) File "/usr/lib/python2.4/site-packages/setroubleshoot/rpc.py", line 762, in feed self.process() File "/usr/lib/python2.4/site-packages/setroubleshoot/rpc.py", line 754, in process self.dispatchFunc(self.header, self.body) File "/usr/lib/python2.4/site-packages/setroubleshoot/rpc.py", line 978, in default_request_handler return_args = method_ptr(*args) File "/usr/lib/python2.4/site-packages/setroubleshoot/server.py", line 251, in logon raise ProgramError(ERR_USER_LOOKUP, detail="uid=s does not match logon username (%s)" % (self.uid, username)) TypeError: not all arguments converted during string formatting

Version-Release number of selected component (if applicable):


How reproducible:
I'm not sure how to trigger the exception manually, but the typo is obvious.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
% diff -u /usr/lib/python2.4/site-packages/setroubleshoot/server.py server.py.good 
--- /usr/lib/python2.4/site-packages/setroubleshoot/server.py   2009-05-21 14:09:15.000000000 -0500
+++ server.py.good      2012-06-22 05:46:55.000000000 -0500
@@ -248,7 +248,7 @@
             log_rpc.debug("logon(%s) type=%s username=%s", self, type, username)
 
         if username != get_identity(self.uid):
-            raise ProgramError(ERR_USER_LOOKUP, detail="uid=s does not match logon username (%s)" % (self.uid, username))
+            raise ProgramError(ERR_USER_LOOKUP, detail="uid=%s does not match logon username (%s)" % (self.uid, username))
 
         if type == 'sealert':
             privilege = 'client'
Comment 1 RHEL Product and Program Management 2012-06-25 02:58:26 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 2 RHEL Product and Program Management 2012-06-25 03:18:24 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 3 RHEL Product and Program Management 2013-05-01 03:12:26 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 4 RHEL Product and Program Management 2014-03-07 08:41:09 EST
This bug/component is not included in scope for RHEL-5.11.0 which is the last RHEL5 minor release. This Bugzilla will soon be CLOSED as WONTFIX (at the end of RHEL5.11 development phase (Apr 22, 2014)). Please contact your account manager or support representative in case you need to escalate this bug.
Comment 5 RHEL Product and Program Management 2014-06-02 09:09:19 EDT
Thank you for submitting this request for inclusion in Red Hat Enterprise Linux 5. We've carefully evaluated the request, but are unable to include it in RHEL5 stream. If the issue is critical for your business, please provide additional business justification through the appropriate support channels (https://access.redhat.com/site/support).

Note You need to log in before you can comment on or make changes to this bug.